import { createHash } from "crypto";
export class Node {
    constructor(identifier, pathPrefix) {
        this.hash = "";
        this.identifier = identifier;
        this.pathPrefix = pathPrefix;
        this.type = "FILE";
        this.nodes = [];
    }
    toString() {
        return this.identifier + this.nodes.join();
    }
    calculateHash(withData) {
        return createHash("sha256")
            .update(`${this.toString()}${withData}`)
            .digest("hex");
    }
}
export class FileTree {
    constructor(rootDir) {
        this.rootDir = rootDir;
        this.rootNode = new Node("/", "");
    }
}
